Bug 406466 - When adding more than one album at a time to the playlist, songs are added in mixed-up order
Summary: When adding more than one album at a time to the playlist, songs are added in...
Status: RESOLVED FIXED
Alias: None
Product: Elisa
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: HI major
Target Milestone: ---
Assignee: Matthieu Gallien
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2019-04-12 13:55 UTC by Nate Graham
Modified: 2019-10-11 12:42 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 19.12.0


Attachments
Songs added to playlist in mixed-up order (389.13 KB, image/png)
2019-04-12 13:55 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2019-04-12 13:55:52 UTC
Created attachment 119374 [details]
Songs added to playlist in mixed-up order

Elisa from git master.

1. Click on "Artists" on the sidebar
2. Find an artist with multiple albums
3. Click on the Play button on the artist

The artist's albums are added to the playlist with the songs all mixed up, rather than in the correct order. This is 100% reproducible for me with all albums and artists when using git master. See attached screenshot.
Comment 1 Matthieu Gallien 2019-04-12 14:02:41 UTC
I can confirm the bug.
Comment 2 Matthieu Gallien 2019-09-25 19:44:33 UTC
I will work on it.
Comment 3 Matthieu Gallien 2019-09-27 20:22:22 UTC
Proposed fix https://phabricator.kde.org/D24271
Comment 4 Matthieu Gallien 2019-10-11 05:07:35 UTC
Git commit cccafdff17a3b7dfcca97d49f8598757abb3dbda by Matthieu Gallien.
Committed on 09/10/2019 at 05:02.
Pushed by mgallien into branch 'master'.

insert album tracks at the correct place instead of at the end

Summary:
inserting the tracks not at the end fix the bug

detected by QAbstractItemModelTester which is really a nice tool

Test Plan: new test is OK, no regressions

Reviewers: #elisa, ngraham, astippich, jguidon

Differential Revision: https://phabricator.kde.org/D24271

M  +143  -0    autotests/mediaplaylisttest.cpp
M  +2    -0    autotests/mediaplaylisttest.h
M  +2    -2    src/mediaplaylist.cpp

https://invent.kde.org/kde/elisa/commit/cccafdff17a3b7dfcca97d49f8598757abb3dbda
Comment 5 Nate Graham 2019-10-11 12:42:01 UTC
Woohoo!